Skip site navigation (1)Skip section navigation (2)
Date:      1 Apr 2000 21:35:43 -0000
From:      oogali@intranova.net
To:        FreeBSD-gnats-submit@freebsd.org
Subject:   misc/17737: Major repair of PicoBSD
Message-ID:  <20000401213543.14558.qmail@hydrant.intranova.net>

next in thread | raw e-mail | index | archive | help

>Number:         17737
>Category:       misc
>Synopsis:       Major repair of PicoBSD
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat Apr  1 13:40:01 PST 2000
>Closed-Date:
>Last-Modified:
>Originator:     Omachonu Ogali
>Release:        FreeBSD 5.0-CURRENT i386
>Organization:
Intranova Networking Group
>Environment:

	FreeBSD 5.0-CURRENT

>Description:

	Several parts of PicoBSD would not compile and/or work, been
	nonworking since about January/February.

>How-To-Repeat:

	cd /usr/src/release/picobsd/build/
	./build
	Build anything, no build works at all.

>Fix:

	Included patch file to fix PicoBSD/dial, PicoBSD/net, PicoBSD/isp,
	and a couple of PicoBSD's building scripts.

--- /usr/src/release/picobsd/bridge/PICOBSD	Wed Mar 15 21:45:18 2000
+++ /usr/src/release/picobsd/bridge/PICOBSD	Fri Mar 31 15:05:38 2000
@@ -36,2 +36,4 @@
 options		PCI_QUIET
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
 #options		NO_LKM

--- /usr/src/release/picobsd/build/Makefile.crunch	Tue Feb  8 03:27:55 2000
+++ /usr/src/release/picobsd/build/Makefile.crunch	Thu Mar 30 14:28:20 2000
@@ -4,3 +4,3 @@
 SRC?=/usr/src
-CRUNCHFLAGS+= -DNOPAM -DRELEASE_CRUNCH -DNOSECURE -DNOCRYPT
+CRUNCHFLAGS+= -DNOPAM -DRELEASE_CRUNCH -DNOSECURE -DNOCRYPT -DNONETGRAPH -DNOIPSEC
 
@@ -31,12 +31,12 @@
 install: 
-	cp crunch1 /mnt/stand/crunch
-	chmod 555 /mnt/stand/crunch
+	cp crunch1 ${MFS_MOUNTPOINT}/stand/crunch
+	chmod 555 ${MFS_MOUNTPOINT}/stand/crunch
 	for i in `crunchgen -l crunch1.conf` ; \
 	do \
-		ln /mnt/stand/crunch /mnt/stand/$${i}; \
+		ln ${MFS_MOUNTPOINT}/stand/crunch ${MFS_MOUNTPOINT}/stand/$${i}; \
 	done
-	rm /mnt/stand/crunch
+	rm ${MFS_MOUNTPOINT}/stand/crunch
 	# Install the MIB files
-	#mkdir -p /mnt/usr/local/share/snmp/mibs
-	#cp ../../net/crunch1/mibs/*.txt /mnt/usr/local/share/snmp/mibs/
+	#mkdir -p ${MFS_MOUNTPOINT}/usr/local/share/snmp/mibs
+	#cp ../../net/crunch1/mibs/*.txt ${MFS_MOUNTPOINT}/usr/local/share/snmp/mibs/
 
--- /usr/src/release/picobsd/build/build	Tue Feb  8 03:24:59 2000
+++ /usr/src/release/picobsd/build/build	Thu Mar 30 14:33:40 2000
@@ -75,3 +75,3 @@
 
-# Main build procedure. It calls another scripts (stage1)
+# Main build procedure. It calls another script (stage1)
 main() {
@@ -103,4 +103,5 @@
 	echo -n "-> Cleaning temporary files... "
-	umount -f /mnt
-	vnconfig -u /dev/rvn0
+	umount -f ${MFS_MOUNTPOINT}
+	rm -rf ${MFS_MOUNTPOINT}
+	vnconfig -u /dev/rvn${VNUM}
 	./clean ${TYPE}

--- /usr/src/release/picobsd/build/crunch.inc	Tue Feb  8 03:29:18 2000
+++ /usr/src/release/picobsd/build/crunch.inc	Thu Mar 30 12:04:03 2000
@@ -6 +6,2 @@
 NONETGRAPH=yes
+NOIPSEC=yes

--- /usr/src/release/picobsd/build/mfs.mtree	Tue Feb  8 06:39:28 2000
+++ /usr/src/release/picobsd/build/mfs.mtree	Thu Mar 30 12:04:04 2000
@@ -49,2 +49,8 @@
             ..
+            locale           
+            ..
+            syscons           
+            ..
+            nls           
+            ..
         ..

--- /usr/src/release/picobsd/build/stage1	Tue Feb  8 03:25:00 2000
+++ /usr/src/release/picobsd/build/stage1	Fri Mar 31 07:39:38 2000
@@ -10,4 +10,8 @@
 
+# By default, /tmp should exist.
+#
 MFS_NAME=fs.PICOBSD
-MFS_MOUNTPOINT=/mnt
+MFS_MOUNTPOINT=`mktemp -d "/tmp/picobsd.XXXXXXXXXX"`
+export MFS_MOUNTPOINT
+
 # fail errno errcode
@@ -21,3 +25,3 @@
     no_vnconfig)
-	echo "Error while doing vnconfig of ${MFS_NAME} on /dev/rvn0..."
+	echo "Error while doing vnconfig of ${MFS_NAME} on /dev/rvn${VNUM}..."
 	echo "   Most probably your running kernel doesn't have the vn(4) device."
@@ -28,3 +32,3 @@
     no_mount)
-	echo "Error while mounting ${MFS_NAME} (/dev/vn0c) on ${MFS_MOUNTPOINT}"
+	echo "Error while mounting ${MFS_NAME} (/dev/vn${VNUM}c) on ${MFS_MOUNTPOINT}"
 	;;
@@ -40,3 +44,3 @@
     vnconfig2)
-	echo "Error while doing vnconfig of floppy.img on /dev/rvn0..."
+	echo "Error while doing vnconfig of floppy.img on /dev/rvn${VNUM}..."
 	;;
@@ -56,2 +60,4 @@
     echo "-> Aborting $0"
+    umount ${MFS_MOUNTPOINT} 2> /dev/null || true
+    rm -rf ${MFS_MOUNTPOINT} 2> /dev/null || true
     exit 10
@@ -63,5 +69,9 @@
     echo "-> Preparing MFS filesystem..."
-    umount /dev/vn0 2> /dev/null || true
+    VNUM=`mount | awk "/vn/ { num++ } END { printf \"%d\", num }"`
+    export VNUM
+    echo "-> Using vn${VNUM}..."
+
+    umount /dev/vn${VNUM} 2> /dev/null || true
     umount ${MFS_MOUNTPOINT} 2> /dev/null || true
-    vnconfig -u /dev/rvn0 2> /dev/null || true
+    vnconfig -u /dev/rvn${VNUM} 2> /dev/null || true
 
@@ -72,3 +82,3 @@
 
-    vnconfig -s labels -c /dev/rvn0 ${MFS_NAME} 2>/dev/null || \
+    vnconfig -s labels -c /dev/rvn${VNUM} ${MFS_NAME} 2>/dev/null || \
 	    fail $? no_vnconfig
@@ -80,9 +90,9 @@
     if [ ${MFS_SIZE} -lt 1024 ] ; then
-	disklabel -rw /dev/rvn0 fd${MFS_SIZE} || fail $? disklabel
+	disklabel -rw /dev/rvn${VNUM} fd${MFS_SIZE} || fail $? disklabel
     else
-	disklabel -rw vn0 auto || fail $? disklabel
+	disklabel -rw vn${VNUM} auto || fail $? disklabel
     fi
 
-    newfs -i ${MFS_INODES} -m 0 -p 0 -o space /dev/rvn0c
-    mount /dev/vn0c ${MFS_MOUNTPOINT} || fail $? no_mount
+    newfs -i ${MFS_INODES} -m 0 -p 0 -o space /dev/rvn${VNUM}c
+    mount /dev/vn${VNUM}c ${MFS_MOUNTPOINT} || fail $? no_mount
 
@@ -148,4 +158,4 @@
     umount ${MFS_MOUNTPOINT}
-    fsck -p /dev/rvn0c
-    vnconfig -u /dev/rvn0
+    fsck -p /dev/rvn${VNUM}c
+    vnconfig -u /dev/rvn${VNUM}
 }
@@ -174,3 +184,3 @@
 
-    vnconfig -c /dev/rvn0 picobsd.bin || fail $? vnconfig2
+    vnconfig -c /dev/rvn${VNUM} picobsd.bin || fail $? vnconfig2
 
@@ -179,8 +189,8 @@
     # XXX todo: use a type matching floppy size.
-    disklabel -Brw -b /boot/boot1 -s /boot/boot2 /dev/rvn0 fd1440 || \
+    disklabel -Brw -b /boot/boot1 -s /boot/boot2 /dev/rvn${VNUM} fd1440 || \
 	fail $?  disklabel
 
-    newfs -i ${FLOPPY_INODES} -m 0 -p 0 -o space /dev/rvn0c
+    newfs -i ${FLOPPY_INODES} -m 0 -p 0 -o space /dev/rvn${VNUM}c
 
-    mount /dev/vn0c ${MFS_MOUNTPOINT}
+    mount /dev/vn${VNUM}c ${MFS_MOUNTPOINT}
 
@@ -217,3 +227,3 @@
     files="motd"
-    echo "-> Copying language dependent files: ${files} -> /mnt/etc ..."
+    echo "-> Copying language dependent files: ${files} -> ${MFS_MOUNTPOINT}/etc ..."
     for i in ${files} ; do
@@ -265,3 +275,4 @@
     umount ${MFS_MOUNTPOINT}
-    vnconfig -u /dev/rvn0
+    rm -rf ${MFS_MOUNTPOINT}
+    vnconfig -u /dev/rvn${VNUM}
     # rm kernel.gz ${MFS_NAME}

--- /usr/src/release/picobsd/custom/PICOBSD-C	Wed Mar 15 21:45:27 2000
+++ /usr/src/release/picobsd/custom/PICOBSD-C	Fri Mar 31 17:05:02 2000
@@ -221 +221,6 @@
 #device		ums0		# Mouse
+
+# Compatibility...
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
+

--- /usr/src/release/picobsd/dial/Makefile.mfs	Fri Aug 27 21:33:14 1999
+++ /usr/src/release/picobsd/dial/Makefile.mfs	Thu Mar 30 12:12:19 2000
@@ -4,3 +4,5 @@
 
+.ifndef (DESTDIR)
 DESTDIR?=/mnt
+.endif
 
@@ -15,3 +17,3 @@
 .if ${LANGUAGE} == pl
-LOCALE= pl_PL.ISO_8859-2
+LOCALE=pl_PL.ISO_8859-2
 LOCALE_LINKS=${PL_LOCALE_LINKS}
@@ -20,3 +22,3 @@
 .else
-LOCALE= en_US.ISO_8859-1
+LOCALE=en_US.ISO_8859-1
 LOCALE_LINKS=${US_LOCALE_LINKS}
@@ -27,3 +29,3 @@
 tree:
-	mtree -deU -f mfs.mtree -p ${DESTDIR}
+	mtree -deU -f ../build/mfs.mtree -p ${DESTDIR}
 
@@ -44,3 +46,3 @@
 		ln -s /etc/termcap termcap; \
-		echo emacs >/mnt/usr/share/misc/init.ee; \
+		echo emacs >${DESTDIR}/usr/share/misc/init.ee; \
 		cd ../; \
@@ -51,2 +53,3 @@
 		done; \
+		mkdir ${LOCALE}/; \
 		cp /usr/share/locale/${LOCALE}/* ${LOCALE}/; \

--- /usr/src/release/picobsd/dial/PICOBSD	Wed Mar 15 21:45:38 2000
+++ /usr/src/release/picobsd/dial/PICOBSD	Fri Mar 31 14:40:40 2000
@@ -4,3 +4,3 @@
 #marker                def_sz  init    MFS_inodes      floppy_inodes
-#PicoBSD       1600    init    4096            32768
+#PicoBSD       2400    init    4096            32768
 
@@ -31,2 +31,4 @@
 options		NO_SWAPPING
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
 
--- /usr/src/release/picobsd/dial/crunch1/crunch.conf	Tue Feb  8 03:37:50 2000
+++ /usr/src/release/picobsd/dial/crunch1/crunch.conf	Fri Mar 31 13:25:14 2000
@@ -4,6 +4,2 @@
 # correct value set in 'build' script - you should change it there
-#
-# NOTE2: use of init(8) is now optional (selectable in "build" script).
-# See Makefile for details on how it's added here - you shouldn't add it
-# manually here...
 
@@ -21,3 +17,3 @@
 
-progs ppp ftp telnet ee gzip more
+progs ppp ftp telnet ee gzip more oinit
 #progs ssh
@@ -27,5 +23,5 @@
 
-progs sh test kget echo pwd msg stty
+progs sh test kget echo pwd msg stty init
 progs hostname cat kill sps vm ns
-progs chmod chown help
+progs chmod chown help getty
 progs cp df fsck ping mv ln traceroute

--- /usr/src/release/picobsd/dial/floppy.tree/etc/mfs.rc	Fri Aug 27 21:33:17 1999
+++ /usr/src/release/picobsd/dial/floppy.tree/etc/mfs.rc	Fri Mar 31 13:35:29 2000
@@ -30,3 +30,6 @@
 echo ""
+
+gzip -d -f *.gz
 . rc
+
 exit 0

--- /usr/src/release/picobsd/dial/floppy.tree/etc/rc	Fri Aug 27 21:33:17 1999
+++ /usr/src/release/picobsd/dial/floppy.tree/etc/rc	Fri Mar 31 15:03:59 2000
@@ -102,2 +102 @@
 echo '+----------------------------------------------+'
-exit 0

--- /usr/src/release/picobsd/dial/floppy.tree/etc/ttys	Thu Aug 27 13:38:42 1998
+++ /usr/src/release/picobsd/dial/floppy.tree/etc/ttys	Fri Mar 31 13:35:57 2000
@@ -8,24 +8,3 @@
 console	none				unknown	off secure
-#
-ttyv0	"/usr/libexec/getty Pc"		cons25	on  secure
-# Virtual terminals
-ttyv1	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv2	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv3	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv4	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv5	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv6	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv7	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv8	"/usr/libexec/getty Pc"		cons25	on  secure
-ttyv9	"/usr/libexec/getty Pc"		cons25	on  secure
-# Pseudo terminals
-ttyp0	none			network secure
-ttyp1	none			network secure
-ttyp2	none			network secure
-ttyp3	none			network
-ttyp4	none			network
-ttyp5	none			network
-ttyp6	none			network
-ttyp7	none			network
-ttyp8	none			network
-ttyp9	none			network
+ttyv0	"/usr/libexec/getty Pc"		cons25	on secure
+

--- /usr/src/release/picobsd/dial/floppy.tree.exclude	Sun Aug 22 17:42:37 1999
+++ /usr/src/release/picobsd/dial/floppy.tree.exclude	Fri Mar 31 17:53:35 2000
@@ -14,2 +14,3 @@
 etc/snmpd.conf
+etc/sshd_config
 etc/ttys

--- /usr/src/release/picobsd/floppy.tree/etc/fstab	Tue Feb  8 09:20:49 2000
+++ /usr/src/release/picobsd/floppy.tree/etc/fstab	Thu Mar 30 20:48:48 2000
@@ -1,2 +1 @@
-proc				/proc		procfs	rw 0 0
 /dev/fd0c			/fd	ufs	rw,noauto 0 0

--- /usr/src/release/picobsd/floppy.tree/etc/mfs.rc	Tue Feb  8 09:20:51 2000
+++ /usr/src/release/picobsd/floppy.tree/etc/mfs.rc	Fri Mar 31 18:34:48 2000
@@ -16,7 +16,5 @@
 ### Special setup for one floppy PICOBSD ###
-set `df /` ; dev="/dev/$8"
-echo "Reading /etc from ${dev}..."
-mount -o rdonly ${dev} /mnt
-cd /mnt/etc ; cp -Rp . /etc/
-cp -Rp /mnt/root /
+mount -o rdonly /dev/fd0 /start_floppy
+cd /start_floppy/etc ; cp -Rp . /etc/
+cp -Rp /start_floppy/root /
 cd /etc
@@ -24,4 +22,4 @@
 pwd_mkdb -p ./master.passwd
-umount /mnt
-echo "Ok. (Now you can remove ${dev} if you like)"
+umount /start_floppy
+echo "Ok. (Now you can remove /dev/fd0 if you like)"
 echo ""

--- /usr/src/release/picobsd/floppy.tree/etc/update	Tue Feb  8 09:20:54 2000
+++ /usr/src/release/picobsd/floppy.tree/etc/update	Fri Mar 31 18:08:05 2000
@@ -3,5 +3,5 @@
 pwd=`pwd`
-set `df /` ; dev="/dev/$8"
+set `df /` ; dev="$8"
 echo -n "Updating /etc contents on ${dev}... "
-mount ${dev} /mnt
+mount ${dev} /start_floppy
 if [ "X$?" != "X0" ] ; then
@@ -14,3 +14,3 @@
 rm passwd
-cp -Rp . /mnt/etc/
+cp -Rp . /start_floppy/etc/
 pwd_mkdb master.passwd
@@ -18,4 +18,4 @@
 echo -n "Updating kernel parameters...  "
-kget /mnt/boot/kernel.conf
-umount /mnt
+kget /start_floppy/boot/kernel.conf
+umount /start_floppy
 cd ${pwd}

--- /usr/src/release/picobsd/install/PICOBSD	Wed Mar 15 21:45:39 2000
+++ /usr/src/release/picobsd/install/PICOBSD	Fri Mar 31 17:05:18 2000
@@ -91 +91,4 @@
 pseudo-device	bpfilter	4
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
+

--- /usr/src/release/picobsd/install/crunch1/Makefile	Fri Oct  8 00:00:05 1999
+++ /usr/src/release/picobsd/install/crunch1/Makefile	Fri Mar 31 18:09:49 2000
@@ -32,11 +32,11 @@
 install: 
-	cp crunch1 /mnt/stand/crunch
-	chmod 555 /mnt/stand/crunch
+	cp crunch1 ${MFS_MOUNTPOINT}/stand/crunch
+	chmod 555 ${MFS_MOUNTPOINT}/stand/crunch
 	for i in `crunchgen -l crunch1.conf` ; \
 	do \
-		ln /mnt/stand/crunch /mnt/stand/$${i}; \
+		ln ${MFS_MOUNTPOINT}/stand/crunch ${MFS_MOUNTPOINT}/stand/$${i}; \
 	done
-	rm /mnt/stand/crunch
+	rm ${MFS_MOUNTPOINT}/stand/crunch
 	# Install the MIB files
-	#cp mibs/*.txt /mnt/usr/local/share/snmp/mibs/
+	#cp mibs/*.txt ${MFS_MOUNTPOINT}/usr/local/share/snmp/mibs/
 
--- /usr/src/release/picobsd/isp/PICOBSD	Wed Mar 15 21:45:40 2000
+++ /usr/src/release/picobsd/isp/PICOBSD	Fri Mar 31 17:05:29 2000
@@ -137 +137,5 @@
 #pseudo-device	gzip		# Exec gzipped a.out's
+
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
+

--- /usr/src/release/picobsd/net/PICOBSD	Wed Mar 15 21:45:41 2000
+++ /usr/src/release/picobsd/net/PICOBSD	Fri Mar 31 07:11:50 2000
@@ -32,2 +32,4 @@
 options		PCI_QUIET
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
 #options		DEVFS

--- /usr/src/release/picobsd/net/floppy.tree/etc/mfs.rc	Fri Aug 27 21:33:40 1999
+++ /usr/src/release/picobsd/net/floppy.tree/etc/mfs.rc	Fri Mar 31 14:37:54 2000
@@ -28,2 +28,3 @@
 cd /etc
+gzip -d -f *.gz
 pwd_mkdb -p ./master.passwd

--- /usr/src/release/picobsd/net/floppy.tree/etc/rc	Sat Aug 28 02:22:07 1999
+++ /usr/src/release/picobsd/net/floppy.tree/etc/rc	Fri Mar 31 07:34:08 2000
@@ -1,2 +1,2 @@
-#!/bin/sh
+#!/bin/sh -
 # $FreeBSD: src/release/picobsd/net/floppy.tree/etc/rc,v 1.5 1999/08/28 06:22:07 roger Exp $

--- /usr/src/release/picobsd/router/PICOBSD	Wed Mar 15 21:45:42 2000
+++ /usr/src/release/picobsd/router/PICOBSD	Fri Mar 31 17:05:36 2000
@@ -85 +85,5 @@
 pseudo-device	md
+
+options         COMPAT_OLDISA   #Use ISA shims and glue for old drivers
+options         COMPAT_OLDPCI   #Use PCI shims and glue for old drivers
+

--- /usr/src/release/picobsd/router/crunch1/Makefile	Fri Aug 27 21:33:47 1999
+++ /usr/src/release/picobsd/router/crunch1/Makefile	Fri Mar 31 18:10:36 2000
@@ -24,9 +24,9 @@
 install: 
-	cp crunch1 /mnt/stand/crunch
-	chmod 555 /mnt/stand/crunch
+	cp crunch1 ${MFS_MOUNTPOINT}/stand/crunch
+	chmod 555 ${MFS_MOUNTPOINT}/stand/crunch
 	for i in `crunchgen -l crunch1.conf` ; \
 	do \
-		ln /mnt/stand/crunch /mnt/stand/$${i}; \
+		ln ${MFS_MOUNTPOINT}/stand/crunch ${MFS_MOUNTPOINT}/stand/$${i}; \
 	done
-	rm /mnt/stand/crunch
+	rm ${MFS_MOUNTPOINT}/stand/crunch
 

>Release-Note:
>Audit-Trail:
>Unformatted:


To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-bugs" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20000401213543.14558.qmail>